Bug 103482 - /bin/mail crashes on large mailboxes
Summary: /bin/mail crashes on large mailboxes
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL: http://www.uiuc.edu/~menscher/mailx.s...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-01 02:18 UTC by Damian Menscher
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-04 13:00:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Menscher 2003-09-01 02:18:25 UTC
Description of problem:
I procmail all incoming sobig.f viruses into /scratch/sobigf, and look over the 
file occasionally to make sure there are no false positives.  After the file got 
really large, though, /bin/mail started crashing.  I saw this first under RH7.3 
(segfault), but the problem occurs under RH9 also (no core file).

Version-Release number of selected component (if applicable):
mailx-8.1.1-28

How reproducible:
Always

Steps to Reproduce:
1. mail -f /really/big/mailbox


Actual Results:  For a redhat 9 box:
[root@redhat9 scratch]# mail -f sobigf
Mail version 8.1 6/6/93.  Type ? for help.
"sobigf": 9114 messages 4847 new 9113 unread
fseek: Invalid argument
panic: temporary file seek
Aborted

A redhat 7.3 box leaves a core file:
redhat73:/root# mail -f sobigf
Mail version 8.1 6/6/93.  Type ? for help.
"sobigf": 9114 messages 4847 new 9113 unread
fseek: Invalid argument
panic: temporary file seek
Segmentation fault (core dumped)

Additional info:

I'm including a URL that has strace output for both RH7.3 and RH9 machines.

Comment 1 Florian La Roche 2003-09-04 13:00:49 UTC
/bin/mailx is not suitable anymore for reading email and supporting all features
required for that. I'll continue to check for new upstream version and merge them
into Red Hat Linux sources, but won't actively iprove /bin/mail as full email
client.

greetings,

Florian La Roche




Note You need to log in before you can comment on or make changes to this bug.